org.wildfly.swarm.microprofile.openapi.api.models

## Class OperationImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.OperationImpl

- All Implemented Interfaces:
    ModelImpl

      public class OperationImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `ExternalDocumentation` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operation` | `addParameter(Parameter parameter)`
    `Operation` | `addSecurityRequirement(SecurityRequirement securityRequirement)`
    `Operation` | `addServer(Server server)`
    `Operation` | `addTag(String tag)`
    `Operation` | `callbacks(Map<String,Callback> callbacks)`
    `Operation` | `deprecated(Boolean deprecated)`
    `Operation` | `description(String description)`
    `Operation` | `externalDocs(ExternalDocumentation externalDocs)`
    `Map<String,Callback>` | `getCallbacks()`
    `Boolean` | `getDeprecated()`
    `String` | `getDescription()`
    `ExternalDocumentation` | `getExternalDocs()`
    `String` | `getOperationId()`
    `List<Parameter>` | `getParameters()`
    `RequestBody` | `getRequestBody()`
    `APIResponses` | `getResponses()`
    `List<SecurityRequirement>` | `getSecurity()`
    `List<Server>` | `getServers()`
    `String` | `getSummary()`
    `List<String>` | `getTags()`
    `Operation` | `operationId(String operationId)`
    `Operation` | `parameters(List<Parameter> parameters)`
    `Operation` | `requestBody(RequestBody requestBody)`
    `Operation` | `responses(APIResponses responses)`
    `Operation` | `security(List<SecurityRequirement> security)`
    `Operation` | `servers(List<Server> servers)`
    `void` | `setCallbacks(Map<String,Callback> callbacks)`
    `void` | `setDeprecated(Boolean deprecated)`
    `void` | `setDescription(String description)`
    `void` | `setExternalDocs(ExternalDocumentation externalDocs)`
    `void` | `setOperationId(String operationId)`
    `void` | `setParameters(List<Parameter> parameters)`
    `void` | `setRequestBody(RequestBody requestBody)`
    `void` | `setResponses(APIResponses responses)`
    `void` | `setSecurity(List<SecurityRequirement> security)`
    `void` | `setServers(List<Server> servers)`
    `void` | `setSummary(String summary)`
    `void` | `setTags(List<String> tags)`
    `Operation` | `summary(String summary)`
    `Operation` | `tags(List<String> tags)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationImpl

          public OperationImpl()

  - ### Method Detail

    - #### getTags

          public List<String> getTags()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getTags()`

    - #### setTags

          public void setTags(List<String> tags)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setTags(java.util.List)`

    - #### tags

          public Operation tags(List<String> tags)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#tags(java.util.List)`

    - #### addTag

          public Operation addTag(String tag)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#addTag(java.lang.String)`

    - #### getSummary

          public String getSummary()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getSummary()`

    - #### setSummary

          public void setSummary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setSummary(java.lang.String)`

    - #### summary

          public Operation summary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#summary(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setDescription(java.lang.String)`

    - #### description

          public Operation description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#description(java.lang.String)`

    - #### getExternalDocs

          public ExternalDocumentation getExternalDocs()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getExternalDocs()`

    - #### setExternalDocs

          public void setExternalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setExternalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### externalDocs

          public Operation externalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#externalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### getOperationId

          public String getOperationId()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getOperationId()`

    - #### setOperationId

          public void setOperationId(String operationId)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setOperationId(java.lang.String)`

    - #### operationId

          public Operation operationId(String operationId)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#operationId(java.lang.String)`

    - #### getParameters

          public List<Parameter> getParameters()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getParameters()`

    - #### setParameters

          public void setParameters(List<Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setParameters(java.util.List)`

    - #### parameters

          public Operation parameters(List<Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#parameters(java.util.List)`

    - #### addParameter

          public Operation addParameter(Parameter parameter)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#addParameter(org.eclipse.microprofile.openapi.models.parameters.Parameter)`

    - #### getRequestBody

          public RequestBody getRequestBody()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getRequestBody()`

    - #### setRequestBody

          public void setRequestBody(RequestBody requestBody)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setRequestBody(org.eclipse.microprofile.openapi.models.parameters.RequestBody)`

    - #### requestBody

          public Operation requestBody(RequestBody requestBody)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#requestBody(org.eclipse.microprofile.openapi.models.parameters.RequestBody)`

    - #### getResponses

          public APIResponses getResponses()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getResponses()`

    - #### setResponses

          public void setResponses(APIResponses responses)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setResponses(org.eclipse.microprofile.openapi.models.responses.APIResponses)`

    - #### responses

          public Operation responses(APIResponses responses)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#responses(org.eclipse.microprofile.openapi.models.responses.APIResponses)`

    - #### getCallbacks

          public Map<String,Callback> getCallbacks()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getCallbacks()`

    - #### setCallbacks

          public void setCallbacks(Map<String,Callback> callbacks)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setCallbacks(java.util.Map)`

    - #### callbacks

          public Operation callbacks(Map<String,Callback> callbacks)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#callbacks(java.util.Map)`

    - #### getDeprecated

          public Boolean getDeprecated()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getDeprecated()`

    - #### setDeprecated

          public void setDeprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setDeprecated(java.lang.Boolean)`

    - #### deprecated

          public Operation deprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#deprecated(java.lang.Boolean)`

    - #### getSecurity

          public List<SecurityRequirement> getSecurity()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getSecurity()`

    - #### setSecurity

          public void setSecurity(List<SecurityRequirement> security)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setSecurity(java.util.List)`

    - #### security

          public Operation security(List<SecurityRequirement> security)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#security(java.util.List)`

    - #### addSecurityRequirement

          public Operation addSecurityRequirement(SecurityRequirement securityRequirement)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#addSecurityRequirement(org.eclipse.microprofile.openapi.models.security.SecurityRequirement)`

    - #### getServers

          public List<Server> getServers()

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#getServers()`

    - #### setServers

          public void setServers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#setServers(java.util.List)`

    - #### servers

          public Operation servers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#servers(java.util.List)`

    - #### addServer

          public Operation addServer(Server server)

      See Also:
        `org.eclipse.microprofile.openapi.models.Operation#addServer(org.eclipse.microprofile.openapi.models.servers.Server)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.